##
##  mathomatic.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2016 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         mathomatic
Summary:      Computer Algebra System
URL:          http://mathomatic.org/
Vendor:       George Gesslein
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        BASE
Group:        Algorithm
License:      Open Source
Version:      16.0.5
Release:      20160305

#   list of sources
Source0:      http://www.panix.com/~gesslein/mathomatic-%{version}.tar.bz2
Patch0:       mathomatic.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20100101, make
PreReq:       OpenPKG, openpkg >= 20100101
BuildPreReq:  readline, ncurses
PreReq:       readline, ncurses

%description
    Mathomatic is is a highly portable, general purpose Computer Algebra
    System (CAS).

%track
    prog mathomatic = {
        disabled
        comment   = "author passed away"
        version   = %{version}
        url       = http://mathomatic.orgserve.de/math/
        regex     = version.number.is."(__VER__)"
    }

%prep
    %setup -q
    %patch -p0

%build
    %{l_make} %{l_mflags -O} \
        CC="%{l_cc}" \
        CFLAGS='%{l_cflags -O} %{l_cppflags} -DUNIX -DREADLINE -DVERSION=\"%{version}\"' \
        LDFLAGS="%{l_ldflags}" \
        LDLIBS="-lreadline -lncurses -lm"

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1 \
        $RPM_BUILD_ROOT%{l_prefix}/share/mathomatic
    %{l_shtool} install -c -s -m 755 \
        mathomatic $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 644 \
        mathomatic.1 $RPM_BUILD_ROOT%{l_prefix}/man/man1/
    %{l_shtool} install -c -m 644 \
        doc/manual.html doc/am.html \
        $RPM_BUILD_ROOT%{l_prefix}/share/mathomatic/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

